ServiceDetailsChangeEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.transport
Class ServiceDetailsChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.SIChangeEvent
              javax.tv.service.transport.TransportSIChangeEvent
                  javax.tv.service.transport.ServiceDetailsChangeEvent

All Implemented Interfaces:
  Serializable

    public class ServiceDetailsChangeEvent

extends TransportSIChangeEvent

A `ServiceDetailsChangeEvent` notifies an `ServiceDetailsChangeListener` of changes detected to a `ServiceDetails` on a `Transport`. Specifically, this event signals the addition, removal, or modification of a `ServiceDetails`.

See Also:
  `Transport`, `ServiceDetails`, Serialized Form

Constructor Summary
`ServiceDetailsChangeEvent(Transport transport, SIChangeType type, ServiceDetails s)` Constructs a `ServiceDetailsChangeEvent`.

Method Summary
`ServiceDetails` | `getServiceDetails()` Reports the `ServiceDetails` that changed.

Methods inherited from class javax.tv.service.transport.TransportSIChangeEvent
`getTransport`

Methods inherited from class javax.tv.service.SIChangeEvent
`getChangeType, getSIElement`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceDetailsChangeEvent

    public ServiceDetailsChangeEvent(Transport transport,
                                     SIChangeType type,
                                     ServiceDetails s)

  Constructs a `ServiceDetailsChangeEvent`.

  Parameters:
    `transport` - The `Transport` on which the change occurred.
    `type` - The type of change that occurred.
    `s` - The `ServiceDetails` that changed.

Method Detail

### getServiceDetails

    public ServiceDetails getServiceDetails()

  Reports the `ServiceDetails` that changed. It will be identical to the object returned by the inherited `SIChangeEvent.getSIElement` method.

  Returns:
    The `ServiceDetails` that changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD